Get parsed bank statement data
curl --request GET \
--url https://api.nextlevelmca.com/v1/deals/{dealId}/statement-analysis \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nextlevelmca.com/v1/deals/{dealId}/statement-analysis', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nextlevelmca.com/v1/deals/{dealId}/statement-analysis"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"status": "not_analyzed",
"analyzed_at": "<string>",
"months": [
{
"month": "<string>",
"deposits": 123,
"deposit_count": 123,
"withdrawals": 123,
"avg_daily_balance": 123,
"ending_balance": 123,
"nsf_count": 123,
"negative_days": 123,
"mca_debits": 123,
"statement_count": 123
}
],
"summary": {
"avg_monthly_deposits": 123,
"avg_daily_balance": 123,
"nsf_count": 123,
"negative_days": 123,
"revenue_trend": "up",
"months_analyzed": 123
},
"positions": [
{
"id": "<string>",
"funder_name": "<string>",
"payment_amount": 123,
"payment_frequency": "daily",
"current_balance": 123,
"original_amount": 123,
"position_number": 123,
"detected": true
}
],
"coverage": {
"required_months": 123,
"mtd_required": true,
"complete": true,
"status": "complete",
"summary": "<string>",
"missing": [
{
"bank_name": "<string>",
"account_last_four": "<string>",
"month": "<string>",
"label": "<string>"
}
],
"unanalyzed_documents": 123
},
"accounts": [
{
"bank_name": "<string>",
"account_last_four": "<string>",
"months_covered": [
"<string>"
],
"months_missing": [
"<string>"
]
}
]
},
"meta": {}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}Documents
Get parsed bank statement data
Per-month deposits, withdrawals, balances, NSFs and negative days from analyzed bank statements, a summary with the revenue trend, the deal’s MCA positions (detected and manual), and statement coverage (which months are still missing per account). Returns status: "not_analyzed" with empty figures when no statement has been analyzed yet; it is not an error.
GET
/
v1
/
deals
/
{dealId}
/
statement-analysis
Get parsed bank statement data
curl --request GET \
--url https://api.nextlevelmca.com/v1/deals/{dealId}/statement-analysis \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nextlevelmca.com/v1/deals/{dealId}/statement-analysis', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nextlevelmca.com/v1/deals/{dealId}/statement-analysis"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"status": "not_analyzed",
"analyzed_at": "<string>",
"months": [
{
"month": "<string>",
"deposits": 123,
"deposit_count": 123,
"withdrawals": 123,
"avg_daily_balance": 123,
"ending_balance": 123,
"nsf_count": 123,
"negative_days": 123,
"mca_debits": 123,
"statement_count": 123
}
],
"summary": {
"avg_monthly_deposits": 123,
"avg_daily_balance": 123,
"nsf_count": 123,
"negative_days": 123,
"revenue_trend": "up",
"months_analyzed": 123
},
"positions": [
{
"id": "<string>",
"funder_name": "<string>",
"payment_amount": 123,
"payment_frequency": "daily",
"current_balance": 123,
"original_amount": 123,
"position_number": 123,
"detected": true
}
],
"coverage": {
"required_months": 123,
"mtd_required": true,
"complete": true,
"status": "complete",
"summary": "<string>",
"missing": [
{
"bank_name": "<string>",
"account_last_four": "<string>",
"month": "<string>",
"label": "<string>"
}
],
"unanalyzed_documents": 123
},
"accounts": [
{
"bank_name": "<string>",
"account_last_four": "<string>",
"months_covered": [
"<string>"
],
"months_missing": [
"<string>"
]
}
]
},
"meta": {}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}Was this page helpful?